<?php 
/*******************************************************************
 * 版权协议：2009-2019
 * 版权所有: PHP-北京金南曦网络技术有限公司旗下PHPWMS，PHP商城系统技术支持中心http://www.php188.net，并保留所有权利。 
* PHP商城系统网址: http://www.php188.com
 * PHPWMS系统网址：http://www.phpwms.com
 * 销售电话：010-87875088
 * 销售电话：010-87875188 
*------------------------------------------------------------------
 * 这不是一个完全免费软件！您只能在不用于商业目的的前提下对程序代码进
 * 行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 *------------------------------------------------------------------
 * 文件名称：phpwms.page.php
 * 适用范围：PHPWMS 1.0
 * 版　　本：1.0
 *------------------------------------------------------------------
 * Script Written By phpwms项目组
 * 最后更新： 2009-09-24 phpwms 由PHP金南曦网络技术有限公司整理发布
 *******************************************************************/
if(!defined('IN_SYS'))exit('access die');
class page_WMS extends base {
	protected function init(){
		parent::init();
	}
	function wmsAction(){
		$id = to_int($this->_parseItem[0]);
		if(empty($id))$this->_exception('',TRUE);
		$type = $_GET['type'];
		$data = $this->db->fetch("SELECT * FROM ##__single_page WHERE `id` = '$id';",TRUE);
		if(empty($data))$this->_exception('无可用数据');
		$f = $data['file_name'];
		$tpl = 'singel_page.php';
		$navs[] = array('name'=>$data['title']);
		$this->_setNav($navs);
		$seo_data = array(
			'title'=>$data['title'],
			'keywords'=>$data['keywords'],
			'description'=>$data['description'],
		);
		$this->setSeo($seo_data);
		$data['content'] = $data['body'];
		unset($data['body']);
		$data = filter_site_url_decode($data);
		$this->assign(array(
			'content'=>$data['content'],
			'data'=>$data,
		));
		unset($data);
		if(!empty($f) && $type =='create'){
			$w= $this->tpl->fetch($tpl);
			create_file($w,SYS_ROOT.'/'.$f);
			header("location:$f");
		}
		$this->display($tpl);
	}
} 
?>